/* 
 * chan.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/01/29 20:09:26 $
 */

#ifndef chan_h
#define chan_h

enum {
    CHAN_ABORT_CALL = CHAN_CTL*MAXOPS,
    CHAN_SET_TIMEOUT,
    CHAN_GET_TIMEOUT,
    CHAN_SET_MAX_TIMEOUT,
    CHAN_GET_MAX_TIMEOUT,
    CHAN_RETRANSMIT
};

typedef struct {
    Protl    transport;
    int      ticket;
    int      reliable;
    int      expensive;
    unsigned timeout;
} chan_info_t; 
    
#ifdef __STDC__

void chan_init(Protl);

#endif

#endif /* chan_h */
