/*
 * iptest.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/01/29 22:36:24 $
 */

/*
 * Ping-pong test of IP
 */

#include "ip.h"

/*
 * These definitions describe the lower protocol
 */
#define HOST_TYPE IPhost
#define INIT_FUNC iptest_init
#define TRACE_VAR traceiptestp
#define PROT_STRING "ip"

static HOST_TYPE ServerAddr;
static HOST_TYPE ClientAddr;

#define TRIPS 100
#define TIMES 1
#define DELAY 3
/*
 * Define to do timing calculations
 */
#define TIME

#define INF_LOOP

static int lens[] = { 
  1, 1000, 2000, 4000, 8000, 16000
};


#define SAVE_SERVER_SESSN

#include "common_test.c"

static void
testInit()
{
}
